Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.grogra.xl.lang
Enum ConversionType

    java.lang.Object
      java.lang.Enum<ConversionType>
          de.grogra.xl.lang.ConversionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ConversionType>

    public enum ConversionType

extends java.lang.Enum<ConversionType>

Author:
  Ole Kniemeyer

Enum Constant Summary
`CONSTRUCTOR`
`CONVERSION_CONSTRUCTOR`
`TO_TYPE`
`TO_TYPE_IN_SCOPE`
`VALUE_OF`

Method Summary
`static ConversionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConversionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONSTRUCTOR

    public static final ConversionType CONSTRUCTOR

### CONVERSION_CONSTRUCTOR

    public static final ConversionType CONVERSION_CONSTRUCTOR

### TO_TYPE

    public static final ConversionType TO_TYPE

### TO_TYPE_IN_SCOPE

    public static final ConversionType TO_TYPE_IN_SCOPE

### VALUE_OF

    public static final ConversionType VALUE_OF

Method Detail

### valueOf

    public static ConversionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### values

    public static ConversionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ConversionType c : ConversionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD